curl --request POST \
--url https://api.myscalev.com/v3/shipping-costs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courier_codes": [
"jne"
],
"location_id": 123,
"warehouse_id": 123,
"weight": 123,
"postal_code": "<string>"
}
'{
"data": [
{
"cost": 123,
"cost_source": "<string>",
"courier_service": {
"code": "<string>",
"courier": {
"code": "<string>",
"courier_type": "standard",
"id": 123,
"name": "<string>"
},
"id": 123,
"name": "<string>"
},
"etd": "<string>",
"weight": 123
}
],
"is_paginated": false
}Requires the order:create machine scope. Retrieve shipping cost estimates based on origin, destination, courier services, and package weight.
curl --request POST \
--url https://api.myscalev.com/v3/shipping-costs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courier_codes": [
"jne"
],
"location_id": 123,
"warehouse_id": 123,
"weight": 123,
"postal_code": "<string>"
}
'{
"data": [
{
"cost": 123,
"cost_source": "<string>",
"courier_service": {
"code": "<string>",
"courier": {
"code": "<string>",
"courier_type": "standard",
"id": 123,
"name": "<string>"
},
"id": 123,
"name": "<string>"
},
"etd": "<string>",
"weight": 123
}
],
"is_paginated": false
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Estimate shipping cost request
Schema for requesting shipping cost
List of courier codes
Schema for a courier code
ninja, ide, sicepat, sap, ncs, anteraja, sentral, jne, jnt, pos, lion, rex, jtl, tiki, rpx, pandu, wahana, pahala, jet, slis, dse, first, star, idl ID of the destination location
ID of the warehouse
Weight of the shipment in grams
Postal code of the destination